Summary: A DNS nameserver.
Name: dents
Version: 0.3.1
Release: 12
Source: http://www.dents.w1.com/release/dents-%{version}.tar.gz
Patch0: init.patch
Patch1: module.patch
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: System Environment/Daemons
URL: http://www.dents.org
Provides: dents
PreReq: /sbin/chkconfig , /sbin/service

%description
Dents is a from scratch implementation of the server side of the
Domain Name System (DNS) protocol and it shares no code with any other
project. Among its several features are compatibility with the named
DNS daemon, a modular driver system and an extensible control facility
which allows the administrator to control the running server.

%prep
%setup -q 
%patch0 -p1 -b .init
%patch1 -p1

%build
%configure
make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 755 debian/init.d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/dents

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dents

%preun
if [ "$1" = "0" ]; then
	/sbin/service dents stop > /dev/null 2>&1
	/sbin/chkconfig --del dents
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service dents condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README TODO
%{_sysconfdir}/rc.d/init.d/dents
%{_sbindir}/dents
%{_libdir}/dents

%changelog
* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated initscript

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that condrestart doesn't return 1 to RPM when the test
  fails.

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using service to fire them up

* Thu Jul 13 2000 Tim Powers <timp@redhat.com>
- fixed initscript topys reported in bug #13720

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq to require /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- PreReq initscripts >= 5.20

* Mon Jun 26 2000 Tim Powers <timp@redhat.com>
- fixed location of the init crap
- cleaned up the init.d script so that it's chkconfig friendly
- added post, postun, preun sections
- use %%makinstall

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- spec file cleanups
- added URL

* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated source

* Thu Aug 12 1999 Tim Powers <timp@redhat.com>
- this is based off of the origional dents-0.0.3-1 src.rpm from the dents
  webpage
- started changelog
- general spec clenaups
- made the %install section use buildroot
- enhancements to the spec file so that it is easier to maintain
- added patch for debian/init.d
- changed description to description from freshmeat.net
